vtgamma(1)

NAME
vtgamma - set gamma correction on text terminals

SYNOPSIS
vtgamma [-e] [-r] [-l] <gamma>
vtgamma [-e] [-r] <red gamma> <green gamma> <blue gamma>
vtgamma [-e] [-r]<palette>[<gamma>...]

DESCRIPTION
vtgamma allows you to set the gamma correction on Linux console. It also works on most terminal emulators as well. A good deal of monitors tend to have too dark blue -- human eye is far less sensitive to blue light. This is acceptable for photographic images that should look realistically, but can cause blue, especially dark blue, text to be hard to read.

vtgamma is also useful on aged CRT monitors, which tend to rapidly lose the luminance-to-voltage ratio. Even after just 2-3 years, typical CRT often needs gamma of as much as 1.6 to resemble a new one. The author of this words has seen a specimen that needed gamma of 2 2 6 (ie, with a big loss of blue) despite still having sharp display.

Gamma correction is given as a positive floating-point number, with 1.0 being the default.

You may also select a different palette than default "vga". A palette may then have a gamma correction applied to it -- all options are allowed.

This version recognizes the following palettes:

    vga
    gruvbox
    monokai
    ubuntu

To affect the login prompt, it's best to: vtgamma 1.6 >>/etc/issue, where 1.6 is the gamma correction you want (but see -p).

Without -p, the color profile lasts either until the next time a program resets the terminal. While this is quite a rare thing, it happens, and thus you'll probably want to have the gamma refreshed every time a program exits. The recommended way is to include vtgamma in PROMPT_COMMAND:

PROMPT_COMMAND='vtgamma 1.6'

although if you don't want to spawn a process every prompt, you may instead edit ~/.bashrc and include the output of vtgamma -e 1.6 in PS1, enclosed between \[ and \]. Unfortunately, this won't work when you switch between terminals using different ways of setting gamma (currently Linux console vs most graphical terminals); Midnight Commander can't cope well with prompts containing such codes either.

OPTIONS

-e|--escape
    Escapes the codes in a form suitable for echo -e, C/Perl/... literals, etc. You might want to include this in /etc/issue.

-p|--permanent
    On Linux console (VT) only, sets the palette in a way that's permanent until reboot. This uses an ioctl rather than terminal codes, thus can't be captured and written as a string.

-r|--reverse
    Black on white mode. Note that this does what you'd expect only on certain terminals, such as Linux console. On most graphical terminal emulators this affects only "real" black and white but not primary text and background colors.

-l|--lab|--Lab|--lchab|--LCHab
    Uses the LCHab color space (a variant of Lab) instead of RGB, this allows brightening colors above FF0000. Requires the Graphics::ColorObject library (on Debian, install libgraphics-colorobject-perl).

SEE ALSO
xgamma(1)

AUTHOR
Both the program and this man page are the fault of Adam Borowski. Both of them are in the Public Domain, or the closest approximation allowed by law.